Redmine - Defect #7038

can't open project page with r4460
2010-12-03 19:44 - Alex Last

Status: Closed Start date: 2010-12-03
Priority: High Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Resolution: Fixed Affected version:

Description

updated Redmine code to the latest trunk version (r4460) and can't open the project page anymore:

URL: http://172.17.10.37:3000/projects/rw?jump=welcome

Internal error

An error occurred on the page you were trying to access.

If you continue to experience problems please contact your redMine administrator for assistance.

Back

Processing ProjectsController#show (for 172.17.10.62 at 2010-12-03 10:49:56)

Parameters:

{"Jump"=>"welcome",

"action"=>"show", "id"=>"rw",

Rendering projects/show

ActionView: :TemplateError

(No builder for format )

1l: api.project do

23 api.id @project.id

33 api.name @project.name

4: api.identifier (@project.identifier

Rendering /opt/redmine/public/500.html

lib/redmine/views/builders.rb:25:1in
app/views/projects/show.apit:1:in

“for'!

app/controllers/projects_controller.rb:166:in " show'

/usr/lib/ruby/1.8/mongrel/rails.rb:76:in “process'
/usr/lib/ruby/1.8/mongrel/rails.rb:74:in "~ synchronize'
/usr/lib/ruby/1.8/mongrel/rails.rb:74:in “process'
/usr/lib/ruby/1.8/mongrel.rb:159:in ‘process_client'
/usr/lib/ruby/1.8/mongrel.rb:158:in “each'
/usr/lib/ruby/1.8/mongrel.rb:158:in “process_client'
/usr/lib/ruby/1.8/mongrel.rb:285:in "“run'
/usr/lib/ruby/1.8/mongrel.rb:285:in “initialize'
/usr/lib/ruby/1.8/mongrel.rb:285:in "new'
/usr/lib/ruby/1.8/mongrel.rb:285:in "“run'
/usr/lib/ruby/1.8/mongrel.rb:268:in “initialize'
/usr/lib/ruby/1.8/mongrel.rb:268:in "new'
/usr/lib/ruby/1.8/mongrel.rb:268:in "run'
/usr/lib/ruby/1.8/mongrel/configurator.rb:282:in “run'
/usr/lib/ruby/1.8/mongrel/configurator.rb:281:in “each'
/usr/lib/ruby/1.8/mongrel/configurator.rb:281l:in “run'
/usr/lib/ruby/1.8/mongrel/command.rb:212:in “run'

(500 Internal Server Error)

[GET]
"controller"=>"projects"}

on line #1 of app/views/projects/show.apit:

_run_apit_appédviewsdTprojectsd7showdbapit’

Related issues:

Has duplicate Redmine - Defect #7045: links broken after upgrade 1.0.4.devel....
Has duplicate Redmine - Defect #7041: r4460 - User activity page throws 500 E...

Closed
Closed

2010-12-04
2010-12-04

History

#1 - 2010-12-04 15:03 - Jean-Philippe Lang

| can't reproduce this problem, but it looks like the api template is used instead of show.rhtml to render the html response.
https://www.redmine.org/projects/redmine/repository/svn/revisions/4460
http://172.17.10.37:3000/projects/rw?jump=welcome

Can you try to rename show.rhtml (in app/views/projects/) to show.html.erb and restart?

#2 - 2010-12-04 18:35 - Jean-Philippe Lang
This should be fixed by r4466. Please, confirm.

#3 - 2010-12-04 18:46 - Alex Last

Thanks a lot, r4466 solves the problem.

#4 - 2010-12-04 19:09 - Jean-Philippe Lang
- Status changed from New to Closed

- Resolution set to Fixed

Thanks for the feedback.

2025-05-03

22


https://www.redmine.org/projects/redmine/repository/svn/revisions/4466
https://www.redmine.org/projects/redmine/repository/svn/revisions/4466
http://www.tcpdf.org

